GET /billing/usage.csv
CSV export for the month (invoices and sending counters)
Console session only (signed-in console).
Parameters
| Name | In | Type | Description |
|---|---|---|---|
month | query | string |
Responses
| Status | Description | Body |
|---|---|---|
200 | CSV: month, date, project_id, project_name, service, product, plan_id, item, quantity, unit, amount_usd_cents, invoice_number | string |
422 | month_invalid | |
401 | Session required | |
403 | Administrator required (reserve_admin) | |
503 | Billing unavailable (billing_unavailable) |
Examples
curl
curl -X GET "$GALON_API_BASE/billing/usage.csv" \
-H "Authorization: Bearer $GALON_API_KEY"